> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bango.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request activation info

> This endpoint is used to request activation information for entitlements in a `PENDING` status.  This endpoint is used for new requests as well as refresh requests for expired activation information.



## OpenAPI

````yaml /openapi/current/dvm/reseller-to-dvm/entitlement/openapi.yaml post /v1/entitlement/activationInfo/{entitlementId}
openapi: 3.1.0
info:
  title: Entitlements
  version: 1.4.2
  description: >

    # Change log

    **2026-06-02** | v.1.4.2

    - Updated authentication: replaced single Basic Auth scheme with X-API-Key,
      Basic Auth, and OAuth2 (client credentials) security schemes, aligned with
      Reseller Notifications API

    **2025-06-12** | v.1.4.1

    - Overview & change log added


    **2024-09-04** | v.1.4.0

    - Top ups released


    **2023-08-14** | v.1.3.0

    - Added reseller-initiated /activationInfo endpoint

    - Added metadata to error responses to identify whether the error originated
    from Bango or the merchant. This is to help resellers resolve integration
    issues more easily.


    **2022-09-22** | v.1.2.0

    - Added Bango-generated sharedCustomerId to reseller notifications, merchant
    requests and all responses


    **2021-08-05** | v.1.1.0

    - Added extensionData for resellers

    - Added merchantExtensionData for merchants

    - Added financeData to relevant merchant-initiated API requests, reseller
    notifications and all responses

    - Added merchantBangoExtensionData for merchant requests and responses

    - Added externalEntitlementId for resellers


    **2020-11-03** | v.1.0.0

    - Initial release
servers:
  - url: https://resale.api.sandbox.bango.com
    description: Integration test environment
  - url: https://resale.api.bango.com
    description: Production environment
security:
  - XApiKey: []
  - BasicAuth: []
  - OAuth2: []
tags:
  - name: Echo
    description: Check your connection to the Bango resale API
  - name: Entitlement
    description: Manage the lifecycle of your entitlements
  - name: Top Ups
    description: >-
      Top up short-lived entitlements for automated duration extension and
      suspend/terminate flows
paths:
  /v1/entitlement/activationInfo/{entitlementId}:
    post:
      tags:
        - Entitlement
      summary: Request activation info
      description: >-
        This endpoint is used to request activation information for entitlements
        in a `PENDING` status.  This endpoint is used for new requests as well
        as refresh requests for expired activation information.
      parameters:
        - name: X-RequestIdentifier
          in: header
          description: Optional identifier to support idempotency
          schema:
            type: string
            format: uuid
        - name: x-request-id
          in: header
          description: >-
            Unique request id generated by the reseller. Useful for e2e
            trouble-shooting. While listed as an optional header, some content
            providers consider this to be mandatory.
          schema:
            type: string
        - name: x-operation-id
          in: header
          description: >-
            Reseller-generated unique id per operation. Used by some content
            providers to identify an idempotent retry. While listed as an
            optional header, some content providers consider this to be
            mandatory.
          schema:
            type: string
        - name: entitlementId
          in: path
          description: 'Bango generated unique identifier of the entitlement '
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Request example
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActivationInfo'
            examples:
              Extended request:
                value:
                  options:
                    - SHORT_LIVED_TOKEN
      responses:
        '200':
          description: Activation information returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivationInfoResponse'
              examples:
                activation url:
                  value:
                    entitlementId: a25100b8-4e0c-4e37-b921-cac9cb1e930f
                    responseCode: CLIENT_ACTION_REQUIRED
                    responseMessage: An action is required to be performed by the client.
                    parameters:
                      action: NAVIGATE_TO_URL
                      url: >-
                        https://example.com/?entitlementId=a25100b8-4e0c-4e37-b921-cac9cb1e930f
                      urlExpiry: 0001-01-01T00:00:000Z
                activation code:
                  value:
                    entitlementId: a25100b8-4e0c-4e37-b921-cac9cb1e930f
                    responseCode: CLIENT_ACTION_REQUIRED
                    responseMessage: An action is required to be performed by the client.
                    activationCode: STB45454
        '400':
          description: Invalid API request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseObject'
              examples:
                Invalid API request:
                  value:
                    responseCode: BAD_REQUEST
                    responseMessage: Invalid request.
                    metadata:
                      responseMessageFrom: BANGO
        '401':
          description: Unauthorized (no response body returned)
        '404':
          description: Entitlement not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseObject'
              examples:
                Not found:
                  value:
                    responseCode: NOT_FOUND
                    responseMessage: Entitlement Not Found.
                    metadata:
                      responseMessageFrom: BANGO
        '409':
          description: Entitlement already active
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseObject'
              examples:
                Already active:
                  value:
                    responseCode: ALREADY_ACTIVE
                    responseMessage: Entitlement is already active.
                    metadata:
                      responseMessageFrom: BANGO
                Invalid status:
                  value:
                    responseCode: INVALID_STATUS
                    responseMessage: Entitlement is not in a pending status.
                    metadata:
                      responseMessageFrom: BANGO
        '429':
          description: Request limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseObject'
              examples:
                Too many requests:
                  value:
                    responseCode: TOO_MANY_REQUESTS
                    responseMessage: Request limit reached. Please try again later.
                    metadata:
                      responseMessageFrom: BANGO
        '500':
          description: Unexpected server issue
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseObject'
              examples:
                Internal error:
                  value:
                    responseCode: INTERNAL_ERROR
                    responseMessage: null
                    metadata:
                      responseMessageFrom: BANGO
        '503':
          description: Bango Platform undergoing maintenance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseObject'
              examples:
                Service unavailable:
                  value:
                    responseCode: SERVICE_UNAVAILABLE
                    responseMessage: null
                    metadata:
                      responseMessageFrom: BANGO
components:
  schemas:
    ActivationInfo:
      type: object
      properties:
        options:
          type: string
          format: array
          enum:
            - SHORT_LIVED_TOKEN
            - LONG_LIVED_TOKEN
          description: >-
            Optional properties for the type of activation token being
            requested.
          examples:
            - SHORT_LIVED_TOKEN
    ActivationInfoResponse:
      type: object
      required:
        - entitlementId
        - responseCode
        - responseMessage
      properties:
        entitlementId:
          type: string
          description: Unique identifier representing a specific entitlement.
          examples:
            - a25100b8-4e0c-4e37-b921-cac9cb1e930f
        responseCode:
          type: string
          examples:
            - CLIENT_ACTIION_REQUIRED
        responseMessage:
          type: string
          examples:
            - An action is required to be performed by the client.
        activationCode:
          type: string
          description: >-
            The activation response will normally be a url. However, this field
            is returned instead of the parameters block if the content provider
            supports activation codes rather than urls
          examples:
            - STB45454
        parameters:
          type: object
          properties:
            action:
              type: string
              enum:
                - NAVIGATE_TO_URL
              description: The action the reseller should take next
              examples:
                - NAVIGATE_TO_URL
            url:
              type: string
              description: >-
                The url that the reseller must redirect the user to when the
                `NAVIGATE_TO_URL` action is provided
              examples:
                - >-
                  https://activate.bango.com/?entitlementId=a25100b8-4e0c-4e37-b921-cac9cb1e930f
            urlExpiry:
              type: string
              format: date
              description: >-
                Timestamp for when the activation information will expire (if
                provided by the content provider). Date is in UTC ISO 8601
                format
              examples:
                - '2024-12-01T00:00:00.000Z'
    ErrorResponseObject:
      type: object
      properties:
        responseCode:
          type: string
        responseMessage:
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
    Metadata:
      type: object
      properties:
        responseMessageFrom:
          type: string
          description: The originator of the error (either Bango or the content provider)
          enum:
            - BANGO
            - MERCHANT
  securitySchemes:
    XApiKey:
      type: apiKey
      in: header
      name: x-api-key
    BasicAuth:
      type: http
      scheme: basic
    OAuth2:
      type: oauth2
      description: >
        Bango uses
        https://www.oauth.com/oauth2-servers/access-tokens/client-credentials/.

        Please note that when requesting a token, we only support the option to
        send the client secret in the request body
      flows:
        clientCredentials:
          tokenUrl: https://auth.bango.com/oath2/token
          scopes:
            any: >-
              grants Bango access to the merchant system based on merchant
              defined rules

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.